#!/usr/bin/perl -w

use IO::Socket;

unless (@ARGV > 1) { die "usage: $0 host port document ..." }

$host = shift(@ARGV);
$port = shift @ARGV;
foreach $document ( @ARGV ) {
    $remote = IO::Socket::INET->new( Proto  => "tcp",
                                         PeerAddr  => $host,
                                         PeerPort  => "$port",
                                        );
    unless ($remote) { die "cannot connect to http daemon on $host" }
    $remote->autoflush(1);
    print $remote "GET $document HTTP/1.0\n\n";
    print "started reading\n";
    while ( <$remote> ) { print }
    print "ended reading\n";
    close $remote;
}

